/* AQClef */

#import <Cocoa/Cocoa.h>

#import "Engraving.h"

@interface AQClef : NSObject
{
	int offset;
	NSString* name;
	BOOL hidden;
}

- (AQClef*)initWithOffset:(int)theOffset;
- (AQClef*)initWithName:(NSString*)theName;
- (AQClef*)initWithOffset:(int)theOffset hidden:(BOOL)theHidden;
- (AQClef*)initWithName:(NSString*)theName hidden:(BOOL)theHidden;

+ (AQClef*)clefWithOffset:(int)theOffset;
+ (AQClef*)clefWithName:(NSString*)theName;
+ (AQClef*)clefWithOffset:(int)theOffset hidden:(BOOL)theHidden;
+ (AQClef*)clefWithName:(NSString*)theName hidden:(BOOL)theHidden;

- (void)setOffset:(int)theOffset;
- (int)offset;

- (void)setHidden:(BOOL)theHidden;
- (BOOL)hidden;

- (void)setName:(NSString*)theName;
- (NSString*)name;

- (NSImage*)imageValue;
- (NSImage*)imageValueWithContext:(NSDictionary*)context;
- (NSString*)description;

@end
