/* AQTempo */

#import <Cocoa/Cocoa.h>

@class AQNote;

@interface AQTempo : NSObject
{
	AQNote* noteValue;
	int BPM;
}

- (AQTempo*)initWithNoteValue:(AQNote*)theNoteValue BPM:(int)theBPM;

+ (AQTempo*)tempoWithNoteValue:(AQNote*)theNoteValue BPM:(int)theBPM;

- (void)setNoteValue:(AQNote*)theNoteValue;
- (AQNote*)noteValue;
- (void)setBPM:(int)theBPM;
- (int)BPM;

- (void)play;
- (void)playWithContext:(NSDictionary*)context;

- (NSImage*)imageValue;
- (NSImage*)imageValueWithContext:(NSDictionary*)context;
- (NSString*)description;

@end
